using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            long A, B, C;
            string inputString;
            inputString = Console.ReadLine();

            long[] niz = new long[6];

            string[] ssize = inputString.Split(null);

            niz[0] = int.Parse(ssize[0] + ssize[1] + ssize[2]);
            niz[1] = int.Parse(ssize[0] + ssize[2] + ssize[1]);
            niz[2] = int.Parse(ssize[1] + ssize[0] + ssize[2]);
            niz[3] = int.Parse(ssize[1] + ssize[2] + ssize[0]);
            niz[4] = int.Parse(ssize[2] + ssize[1] + ssize[0]);
            niz[5] = int.Parse(ssize[2] + ssize[0] + ssize[1]);

            int max = 0;

            for (int i = 1; i < 6; i++)
            {
                if (niz[i] > niz[max])
                    max = i;
            }

            Console.WriteLine(niz[max]);
        }
    }
}